package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 机构产品设置表(TenantProductInfo)表实体类
 *
 * @author hgw
 * @since 2021-12-08 11:47:30
 */
@ApiModel(value = "机构产品设置表")
public class TenantProductInfo implements Serializable {

    public static final String MONTH = "MONTH";

    public static final String YEAR = "YEAR";

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("serve_id_")
    @ApiModelProperty(value = "选择的服务的id")
    private Integer serveId;

    @TableField("serve_detail_id_")
    @ApiModelProperty(value = "服务的付费类型id")
    private Integer serveDetailId;

    @TableField("original_price_")
    @ApiModelProperty(value = "原价单价")
    private BigDecimal originalPrice;

    @TableField("contract_price_")
    @ApiModelProperty(value = "合同价单价")
    private BigDecimal contractPrice;

    @TableField("pay_amount_")
    @ApiModelProperty(value = "本次开通价格/本次实际应付金额")
    private BigDecimal payAmount;

    @TableField("pay_date_")
    @ApiModelProperty(value = "付费时间")
    private Date payDate;

    @TableField("expiry_count_")
    @ApiModelProperty(value = "有效期(数字-结合有效期单位)")
    private Integer expiryCount;

    @TableField("expiry_unit_")
    @ApiModelProperty(value = "有效期单位(年/月)")
    private String expiryUnit;

    @TableField("expiry_date_")
    @ApiModelProperty(value = "有效期(具体到期时间)")
    private Date expiryDate;

    @TableField(value = "using_")
    @ApiModelProperty(value = "正在使用的服务 0是  1否 (一个机构可以购买多个服务，但是只能生效一个))")
    private Integer using;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getServeId() {
        return serveId;
    }

    public void setServeId(Integer serveId) {
        this.serveId = serveId;
    }

    public Integer getServeDetailId() {
        return serveDetailId;
    }

    public void setServeDetailId(Integer serveDetailId) {
        this.serveDetailId = serveDetailId;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public BigDecimal getContractPrice() {
        return contractPrice;
    }

    public void setContractPrice(BigDecimal contractPrice) {
        this.contractPrice = contractPrice;
    }

    public BigDecimal getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public Integer getExpiryCount() {
        return expiryCount;
    }

    public void setExpiryCount(Integer expiryCount) {
        this.expiryCount = expiryCount;
    }

    public String getExpiryUnit() {
        return expiryUnit;
    }

    public void setExpiryUnit(String expiryUnit) {
        this.expiryUnit = expiryUnit;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
    }

    public Integer getUsing() {
        return using;
    }

    public void setUsing(Integer using) {
        this.using = using;
    }
}